For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Ask AIPlaygroundLoginFree API Key
HomeAPI ReferenceVoice AgentSpeech-to-TextText-to-SpeechIntelligenceSelf-Hosted Deployments
HomeAPI ReferenceVoice AgentSpeech-to-TextText-to-SpeechIntelligenceSelf-Hosted Deployments
  • General
    • Deepgram API Overview
    • Authentication
    • Regional Endpoints
    • Custom Endpoints
    • Errors
    • API Rate Limits
  • API Reference
          • GETList Projects
          • GETGet a Project
          • PATCHUpdate a Project
          • DELDelete a Project
          • DELLeave a Project
          • GETList Project Models
          • GETGet a Project Model
LogoLogo
Ask AIPlaygroundLoginFree API Key
API ReferenceManageProjects

Get a Project

GET
https://api.deepgram.com/v1/projects/:project_id
GET
/v1/projects/:project_id
1import requests
2
3url = "https://api.deepgram.com/v1/projects/project_id"
4
5payload = {}
6headers = {
7 "Authorization": "Token <apiKey>",
8 "Content-Type": "application/json"
9}
10
11response = requests.get(url, json=payload, headers=headers)
12
13print(response.json())
Try it
1{
2 "project_id": "a1b2c3d4e5f678901234567890abcdef",
3 "mip_opt_out": false,
4 "name": "Acme Corp Voice Analytics"
5}
Retrieves information about the specified project
Was this page helpful?
Previous

Update a Project

Next
Built with

Authentication

AuthorizationToken

Use Authorization: Token <API_KEY> Example: Authorization: Token 12345abcdef

Path parameters

project_idstringRequired

Query parameters

limitdoubleOptional1-1000Defaults to 10

Number of results to return per page. Default 10. Range [1,1000]

pagedoubleOptional
Navigate and return the results to retrieve specific portions of information of the response

Response

A project
project_idstring
The unique identifier of the project
mip_opt_outboolean

Model Improvement Program opt-out

namestring
The name of the project

Errors

400
Bad Request Error